List sync batches for a company
curl --request GET \
--url https://api.sync2books.com/sync/companies/{companyId}/batches \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sync2books.com/sync/companies/{companyId}/batches"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sync2books.com/sync/companies/{companyId}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sync2books.com/sync/companies/{companyId}/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sync2books.com/sync/companies/{companyId}/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sync2books.com/sync/companies/{companyId}/batches")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sync2books.com/sync/companies/{companyId}/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"status": "pending",
"totalItems": 123,
"syncedItems": 123,
"failedItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"connectionId": "<string>",
"companyId": "<string>",
"destination": "quickbooks",
"source": "<string>"
}
]Sync
List sync batches for a company
Pagination is returned in the X-Total-Count, X-Page-Count, X-Limit, X-Offset response headers. Prefer the /paged variant if you’d rather have it in the body.
GET
/
sync
/
companies
/
{companyId}
/
batches
List sync batches for a company
curl --request GET \
--url https://api.sync2books.com/sync/companies/{companyId}/batches \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sync2books.com/sync/companies/{companyId}/batches"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sync2books.com/sync/companies/{companyId}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sync2books.com/sync/companies/{companyId}/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sync2books.com/sync/companies/{companyId}/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sync2books.com/sync/companies/{companyId}/batches")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sync2books.com/sync/companies/{companyId}/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"status": "pending",
"totalItems": 123,
"syncedItems": 123,
"failedItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"connectionId": "<string>",
"companyId": "<string>",
"destination": "quickbooks",
"source": "<string>"
}
]Authorizations
Your application's API key (sk_development_… or sk_production_…). An optional X-Signature / X-Timestamp HMAC pair may additionally be sent for stronger security — see Authentication.
Path Parameters
Query Parameters
Available options:
pending, in_progress, completed, failed, partially_completed etims connections are managed through the separate Compliance API, not this one.
Available options:
quickbooks, xero, sage, microsoft-dynamics-365-business-central, odoo, etims, opera Search by batch id, company name, or destination.
Required range:
x >= 1Required range:
x >= 0Response
200 - application/json
OK
Available options:
pending, in_progress, completed, failed, partially_completed etims connections are managed through the separate Compliance API, not this one.
Available options:
quickbooks, xero, sage, microsoft-dynamics-365-business-central, odoo, etims, opera